# Application Linéaire

Nous parlons maintenant de fonctions.

Nous avons vu les fonctions:

- **Injective**: \\( \forall a_1, a_2 \in A \quad  a_1 \neq a_2 \implies f(a_1) \neq f(a_2)\\) 
- **Surjective**: \\( \forall b \in B \exists a \in A \quad f(a) = b \\)  (Tout les points sources ont une destination)
- **Bijective**: Injective & Surjective

[Rappels Fonctions](/math/logique/fonctions.md)

## Application Linéaire

- Soient \\( V_1, V_2 \subseteq \mathbb{R}^n \\)
    - On dit que \\( L: V_1 \to V_2\\) est une **Application Linéaire**  ssi
        1) \\( \forall u, v \in V_1 \quad L(u+v) = L(u) + L(v) \\) 
        2) \\( \forall \lambda \in \mathbb{R} \quad L(\lambda v) = \lambda L(v) \\) 

| Exemples  | Contre-Exemples |
| --------- | --------------- |
| L(x) = x  | L(x) = \|x\|    |
| L(x) = 2x | L(x) = 2x + 1   |
|           | L(x) = x²       |
|           | L(x) = sin(x)   |

## Image et Noyaux

- Soit \\( L: V_1 \to V_2 \\) Une application Linéaire
    - \\( Ker(L) = \\{ v \in V_1 \mid L(v)=0 \\} \\) Noyau de L
    - \\( Im(L) = \\{ v \in V_2 \mid \exists u \in V_1 \quad L(u) = v \\} \\) Image de L

### Théorem du Rang

- Soit \\( L: V_1 \to V_2 \\) 
    - \\( Dim(Ker(L)) + Dim(Im(L)) = Dim(V_1) \\) 

## Matrice → Application Linéaire

- Soit \\( M \in \mathbb{R}^{n \times m} \\) 
    - L'application linéaire associée à \\( M \\) notée \\( L_M \\) 
        - \\( L_M : \mathbb{R}^m \to \mathbb{R}^n \quad \text{ définit par } L_M(v)= \underset{n \times m}{M} \cdot \underset{m \times 1}{v} \\) 

## Application Linéaire → Matrice

\\[
    L: V_1 \to V_2 \leadsto M_L^{B_1 \to B_2}
\\]

1) Choisir une Base \\( B_1 = \\{ e_1, ..., e_n \\} \text{ de } V_1 \text{ et } B_2 = \\{ E_1, ..., E_k \\} \text{ de } V_2\\)
2) Pour chaques \\( e_i \in B_1 \text{, calculer} L(e_i)\\) 
3) Pour chaques \\( e_i \in B_1 \text{, exprimer } L(e_i) \text{ comme combi. li. de } E_1 ... E_k \\)
4) Transformation en matrice 
5) On peut ensuite faire un "Sanity Check" en fesant l'opération inverse

## Composé d'application linéaires

On parle de \\( L_2 \circ L_1 \\) pour \\( L: V_1 \to V_2 \to V_3 \\)

On veut \\( M_{L_2 \circ L_1}^{B_1 \to B_3} \\)

Pour ca on fait : \\( M_{L_2}^{B_2 \to B_3} * M_{L_2}^{B_1 \to B_2} \\) 
