# Développement de Taylor

Nous pouvons voir que 

\\[
    f(x) \approx f(a) + \partial f(a)(x-a) \\\\
    \Downarrow \\\\
    f(x) \xrightarrow[x \to a]{} f(a)
\\]

attention, f continue en a n'impliques pas que f est dérivée en a

Nous cherchons donc à éttendre ca affin d'avoir une approximantion de fonction avec un polynome et ainsi pouvoir effectuer des opérations de limites sur ces fonctions

## Petit-o

On veut que \\(f(x) - (mx+p) \\) tende vers 0 plus vite que x-a

- g est une fonction ("qui converge plus vite vers 0 que x-a quand x \to a")
    - g est un petit-o ("o()") de x-a

- Soit \\(f: \mathbb{R} \to \mathbb{R} \quad a \in dom(f)\\)
    - On dit que la droite d'équation \\(y = mx + p\\ est **tangeante au graph de f**
        - si \\(f(x) - (mx + p)\\) est un o (petit-o) de (x-a) quand \\(x\to a\\)
            - càd \\(\lim\limits_{x\to a} \frac{f(x) - (mx + p)}{x - a} = 0\\) et \\(f(a) - (ma+p) = 0\\)

- g est un **petit-o** de \\((x-a) ^k \quad k \in \mathbb{N}\\) si
    - \\(\frac{g(x)}{(x-a) ^k} \xrightarrow[x\to a]{} 0\\) et \\(g(a) = 0 \text{ si } a \in dom(g)\\)
        - se note \\(f(x) = o((x-a)^k)\\)

- Donc
    - \\(g(x) = o(1) \implies g(x) \xrightarrow[x\to a \\\\ \neq]{} 0\\) et \\(g(a) = 0 \text{ si } a \in dom(g)\\)
    - \\((x-a)^l = o((x-a)^k)\\)
        - si \\(l > k\\)

### Notation

\\(o(x-a)\\) représente une fonction qui est un petit o de x-a quand x tends vers a qui peut changer à chauqes occurences de o(x-a)

ca représente ce qui est négligeable pour une fonction quand sa limite tend vers 0

\\[
    f(x) = o(g(x)) \iff \lim\limits_{x\to +\infty } \frac{f(x)}{g(x)} = 0
\\]

- Soit \\(f: \mathbb{R} \to \mathbb{R} \quad a \in dom(f) \cap adh(dom(f) \backslash \\{a\\})\\)
    - Alors f est dérivée en \\(a \iff \exists m,p \quad y=mx+p\\) est tangeant au graphe de f en \\((a, f(a))\\)
        - Auquel cas \\(m = \partial f(a) \text{ et } p = f(a) - \partial f(a) * a\\)

### Régles de calculs pour "o"
    
- si \\(f = o(x-a)\\)
    - alors \\(f(x) \xrightarrow[x \to a]{} 0\\)
- \\(o(x-a) * o(x-a) = o(x-a)\\)
- \\((x-a)^m = o((x-a)^n) (\text{ si } m > n)\\)
- \\(f(x) * o((x-a)^n) = o((x-a)^n)\\)
- \\(o((x-a)^n) + o((x-a)^n) = o((x-a)^n)\\)
- \\(o((x-a)^n) = o((x-a)^m) (\text{si } m \leq n)\\)
- \\(o((x-a)^n)^m = o((x-a)^{n * m})\\)
- \\(o((x-a)^n) = o(1) * (x-a)^n\\)
- \\(o(1) * (x-a)^n = o((x-a)^n)\\)
- \\(o((x-a)^n) * o((x-a)^m) = o((x-a)^{n + m})\\)
- \\(o((x-a)^n) * o((x-a)^n) = o((x-a)^n)\\)


## Continuitée de fonctions dérivables 

Comme vu dans le paragraphe sur [la continuitée des fonctions](./chap2.html#la-continuitée-des-fonctions)
Nous pouvons noter 
- \\(\mathscr{C}(A;B) = \\{f:A \to B \text{ application } | f \text{ est continue en } A\\}\\)

Ajoutons à cette notation:
- \\(\mathscr{C} ^1 (A;B) = \\{f: A\to B \text{ application } | f \text{ est dérivable sur A } \text{ et } \partial f \text{ est continue sur } A\\}\\) 
- \\(\mathscr{C} ^k (A;B) = \\{f: A\to B \text{ application } | f^k \text{ est dérivable sur A } \text{ et } \partial^k f: A \to B \text{ est continue sur } A\\}\\) 

Comme les fonctions dérivables sur A sont continue sur A. On a: \\(\mathscr{C}^1(A;B) \subseteq \mathscr{C}^0 (A;B)\\) 
De plus \\(\mathscr{C}^2(A;B) \subseteq \mathscr{C}^1(A;B) \subseteq \mathscr{C}^0 (A;B)\\)

## Polynomes

Nous cherchons à transformer notre fonction en un polynome

\\[
f(x) = P(x) + o((x-a) ^k) \quad P \in \mathbb{P}^{\leq k} = \\{P \text{ polynome } | \text{ deg } P \leq k\\}
\\]

- Soit \\(f: \mathbb{R} \to \mathbb{R} \quad a \in dom(f) \cap adh(dom(f) \backslash \\{a\\}) \quad k \in \mathbb{N}\\)
    - On dit que \\(P \in \mathbb{P} ^{\leq k}= \\{P \text{ polynome } | \text{ deg } P \leq k\\}\\) est un **Dévelopement de Taylor** de f en a d'ordre k
        - Si \\(f(x) = P(x) + o((x-a)^k)\\)

Si un Dévelopement de Taylor de f en a d'odre k existe alors il est unique.

- Si \\(f: I \to \mathbb{R} \quad I \text { un interval } \quad a \in I \text{ sauf son bord } \quad k \in \mathbb{N} \\) et \\(f \in \mathscr{C} ^k (I; R)\\)
    - Alors le D.T. de f en a d'ordre k est le Polynome: \\(\sum_{i = 0}^{k} \frac{\partial ^i f(a)}{i!} * (x - a)^i\\)

- Si \\(f: I \to \mathbb{R} \quad I \text { un interval } \quad a \in I \text{ sauf son bord } \quad k \in \mathbb{N} \\) et f est k + 1 fois dérivable en I
    - Alors \\(\forall x \in I \quad \exists \xi \in [a, x] \qquad f(x) = \sum_{i = 0}^{k} \frac{\partial ^i f(a)}{i!} * (x - a)^i + \underbrace{\frac{\partial k+1 f(\xi )}{(k+1) !} * (x - a)^{k+1}}\_{o((x-a)^k)}\\) 
